# MatRegisterAll

Registers all of the matrix types in PETSc

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatRegisterAll(const char path[])

Not Collective

### Keywords

KSP, register, all

### See Also

MatRegisterDestroy()

Level:advanced
Location: src/mat/interface/matregis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages